# Contribution requirements

1. Contributions must adhere to Magento coding standards.
2. Pull requests (PRs) must be accompanied by a meaningful description of their purpose. Comprehensive descriptions increase the chances of a pull request to be merged quickly and without additional clarification requests.
3. Commits must be accompanied by meaningful commit messages.
4. PRs which include bug fixing, must be accompanied with step-by-step description of how to reproduce the bug.
3. PRs which include new logic or new features must be submitted along with Unit test coverage.
4. For large features or changes, please [open an issue](https://github.com/mailchimp/mc-magento/issues) and discuss first. This may prevent duplicate or unnecessary effort, and it may gain you some additional contributors.
5. All automated tests are passed successfully (all builds on [Travis CI](https://travis-ci.org/mailchimp/mc-magento) must be green).
